> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dfns.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Vault Address

> Creates a vault address (managed wallet) on an EVM network.

#### Authentication

✅ Organization User (`CustomerEmployee`)\
❌ Delegated User (`EndUser`)\
✅ Service Account

#### Required Permissions

`Vaults:Addresses:Create`: Always required.


## OpenAPI

````yaml /openapi.yaml post /vaults/{vaultId}/addresses
openapi: 3.1.0
info:
  version: 1.910.1
  title: Dfns
servers:
  - url: https://api.dfns.io
    description: Default - Europe
  - url: https://api.uae.dfns.io
    description: UAE
  - url: https://api.dfns.ninja
    description: <Deprecated> Staging
security: []
paths:
  /vaults/{vaultId}/addresses:
    post:
      tags:
        - Vaults
      summary: Create Vault Address
      description: Creates a vault address (managed wallet) on an EVM network.
      parameters:
        - schema:
            type: string
            minLength: 1
            maxLength: 64
            pattern: ^vlt-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
            description: Vault id.
          required: true
          description: Vault id.
          name: vaultId
          in: path
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                network:
                  type: string
                  enum:
                    - ArbitrumOne
                    - ArbitrumSepolia
                    - ArcTestnet
                    - AvalancheC
                    - AvalancheCFuji
                    - Base
                    - BaseSepolia
                    - Bob
                    - BobSepolia
                    - Bsc
                    - BscTestnet
                    - Berachain
                    - BerachainBepolia
                    - Celo
                    - CeloAlfajores
                    - Codex
                    - CodexSepolia
                    - Ethereum
                    - EthereumClassic
                    - EthereumClassicMordor
                    - EthereumSepolia
                    - EthereumHoodi
                    - FlareC
                    - FlareCCoston2
                    - FlowEvm
                    - FlowEvmTestnet
                    - Ink
                    - InkSepolia
                    - Optimism
                    - OptimismSepolia
                    - Plasma
                    - PlasmaTestnet
                    - Plume
                    - PlumeSepolia
                    - Polygon
                    - PolygonAmoy
                    - Race
                    - RaceSepolia
                    - Rayls
                    - RaylsTestnet
                    - Robinhood
                    - RobinhoodSepolia
                    - SeiPacific1
                    - SeiAtlantic2
                    - Sonic
                    - SonicTestnet
                    - Tempo
                    - TempoModerato
                    - Tsc
                    - TscTestnet1
                    - Xdc
                    - XdcApothem
                    - XLayer
                    - XLayerSepolia
              required:
                - network
              additionalProperties: false
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VaultAddress'
      security:
        - authenticationToken: []
          userActionSignature: []
components:
  schemas:
    VaultAddress:
      type: object
      properties:
        walletId:
          type: string
        network:
          type: string
        address:
          type: string
      required:
        - walletId
        - network
        - address
      additionalProperties: false
      description: Vault address object.
  securitySchemes:
    authenticationToken:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        **Bearer Token:** Used to authenticate API requests.

        More details how to generate the token: [Authentication
        flows](https://docs.dfns.co/api-reference/auth/login-flows)
    userActionSignature:
      type: apiKey
      in: header
      name: X-DFNS-USERACTION
      description: >-
        **User Action Signature:** Used to sign the change-inducing API
        requests.

        More details how to generate the token: [User Action Signing
        flows](https://docs.dfns.co/api-reference/auth/signing-flows)

````